\section{Introduction}
This thesis is motivated by a report by the Bertelsmann Stiftung concerning the problem of overcapacities of hospitals in Germany \cite{BS}.
They use a simulation to optimize (i.e. reduce) the number of required hospitals in an example area under certain reachability- and service quality restrictions.
Hospitals are assigned fixed levels based on offered services, and each level comes with its own constraints - while every person needs to be able to reach a basic hospital very quickly, 
larger hospitals offering more specialized services may be allowed to be less accessible. 
The simulation used in the report provides a reduced subset of the currently existing hospitals in the given area that satisfy the given reachability restrictions, 
which is then used as a basis for further considerations about improvements of the hospital structure in the year 2030. 
Details about the used simulation are missing and the optimality of the result is therefore questionable, which motivates an alternative approach using methods 
from combinatorial optimization. \\

Therefore, in this thesis we will model the given problem as a more general mathematical optimization problem, 
which takes arbitrary locations and starting facilities as input and asks for a minimal subset of facilities that satisfies the given reachability constraints. 
Multiple facility levels with different corresponding constraints will also be taken into account.
Following the mathematical problem formulation, we will then start our analysis of the problem by discussing an interesting special case where the instances have the structure of a tree. 
We will then analyze the complexity of the problem to possibly gain a first idea about its difficulty. 
Next we start solving the problem by modeling it as an Integer Program which allows for obtaining a lower bound on the optimal value using LP-relaxation. 
Following that, we develop different heuristic approaches for solving the problem, building on well established heuristics that are known to be an optimal approximation for the root of our problem.
Additionally, we analyze the structure of the problem instances and develop instance optimization methods allowing us to greatly reduce the instance size in a preprocessing stage.
Following the development of the algorithms, we will implement them, run them on a variety of suitable instances, and then compare their complexity and quality 
using statistical analysis of the collected data. \\

To conclude this thesis, we will summarize our obtained results and insights, and we will recognize aspects that are suitable for further research or improvements.